<html>
<head>
<title>OgreGLES2Support.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLES2Support.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLES2Support_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __GLES2Support_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __GLES2Support_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLES2Prerequisites_8h.html">OgreGLES2Prerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreConfigOptionMap_8h.html">OgreConfigOptionMap.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre
<a name="l00037"></a>00037 {
<a name="l00038"></a>00038     <span class="keyword">class </span>GLES2RenderSystem;
<a name="l00039"></a>00039 
<a name="l00040"></a><a class="code" href="classOgre_1_1GLES2Support.html">00040</a>     <span class="keyword">class </span><a class="code" href="OgreGLES2Prerequisites_8h.html#a3f2e060c56216a4f3fb7650e502f5735">_OgreGLES2Export</a> <a class="code" href="classOgre_1_1GLES2Support.html">GLES2Support</a>
<a name="l00041"></a>00041     {
<a name="l00042"></a>00042         <span class="keyword">public</span>:
<a name="l00043"></a><a class="code" href="classOgre_1_1GLES2Support.html#aeb24119b020395dc5180e5c93fd21cbf">00043</a>             <a class="code" href="classOgre_1_1GLES2Support.html#aeb24119b020395dc5180e5c93fd21cbf">GLES2Support</a>() { }
<a name="l00044"></a><a class="code" href="classOgre_1_1GLES2Support.html#a462bd9434d945f2436cbe3f971d28050">00044</a>             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLES2Support.html#a462bd9434d945f2436cbe3f971d28050">~GLES2Support</a>() { }
<a name="l00045"></a>00045 
<a name="l00051"></a>00051             <span class="keyword">virtual</span> <span class="keywordtype">void</span> addConfig() = 0;
<a name="l00052"></a>00052             <span class="keyword">virtual</span> <span class="keywordtype">void</span> setConfigOption(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value);
<a name="l00053"></a>00053 
<a name="l00058"></a>00058             <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> validateConfig() = 0;
<a name="l00059"></a>00059             <span class="keyword">virtual</span> <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; getConfigOptions(<span class="keywordtype">void</span>);
<a name="l00060"></a>00060             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* createWindow(<span class="keywordtype">bool</span> autoCreateWindow,
<a name="l00061"></a>00061                                                <a class="code" href="classOgre_1_1GLES2RenderSystem.html" title="Implementation of GL ES 2.x as a rendering system.">GLES2RenderSystem</a> *renderSystem,
<a name="l00062"></a>00062                                                <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle) = 0;
<a name="l00063"></a>00063 
<a name="l00065"></a>00065             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* newWindow(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name,
<a name="l00066"></a>00066                                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00067"></a>00067                                             <span class="keywordtype">bool</span> fullScreen,
<a name="l00068"></a>00068                                             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0) = 0;
<a name="l00069"></a>00069 
<a name="l00073"></a><a class="code" href="classOgre_1_1GLES2Support.html#acf1a56586e7f452554433e4a982a915c">00073</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getGLVendor(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00074"></a>00074 <span class="keyword">            </span>{
<a name="l00075"></a>00075                 <span class="keywordflow">return</span> mVendor;
<a name="l00076"></a>00076             }
<a name="l00077"></a>00077 
<a name="l00081"></a><a class="code" href="classOgre_1_1GLES2Support.html#a276c49b57cb60c3ae2aa4ca94524cd80">00081</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getGLVersion(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00082"></a>00082 <span class="keyword">            </span>{
<a name="l00083"></a>00083                 <span class="keywordflow">return</span> mVersion;
<a name="l00084"></a>00084             }
<a name="l00085"></a>00085 
<a name="l00089"></a><a class="code" href="classOgre_1_1GLES2Support.html#ae0833c742adcccc532729ff76176c44c">00089</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getShaderCachePath(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00090"></a>00090 <span class="keyword">            </span>{
<a name="l00091"></a>00091                 <span class="keywordflow">return</span> mShaderCachePath;
<a name="l00092"></a>00092             }
<a name="l00093"></a>00093 
<a name="l00097"></a><a class="code" href="classOgre_1_1GLES2Support.html#a03aaf2bec1baf7d1a6687b49c4fdb591">00097</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getShaderLibraryPath(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00098"></a>00098 <span class="keyword">            </span>{
<a name="l00099"></a>00099                 <span class="keywordflow">return</span> mShaderLibraryPath;
<a name="l00100"></a>00100             }
<a name="l00101"></a>00101 
<a name="l00105"></a><a class="code" href="classOgre_1_1GLES2Support.html#aa52a532cd85238d5227f23d4b3de35e4">00105</a>             <span class="keywordtype">void</span> setShaderCachePath(<a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> path)
<a name="l00106"></a>00106             {
<a name="l00107"></a>00107                 mShaderCachePath = path;
<a name="l00108"></a>00108             }
<a name="l00109"></a>00109 
<a name="l00113"></a><a class="code" href="classOgre_1_1GLES2Support.html#aee9a5957c98ac70592dc9ec82a862d68">00113</a>             <span class="keywordtype">void</span> setShaderLibraryPath(<a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> path)
<a name="l00114"></a>00114             {
<a name="l00115"></a>00115                 mShaderLibraryPath = path;
<a name="l00116"></a>00116             }
<a name="l00117"></a>00117 
<a name="l00121"></a>00121             <span class="keyword">virtual</span> <span class="keywordtype">void</span> *getProcAddress(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; procname) = 0;
<a name="l00122"></a>00122 
<a name="l00126"></a>00126             <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialiseExtensions();
<a name="l00127"></a>00127 
<a name="l00131"></a>00131             <span class="keyword">virtual</span> <span class="keywordtype">bool</span> checkExtension(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; ext) <span class="keyword">const</span>;
<a name="l00132"></a>00132 
<a name="l00134"></a><a class="code" href="classOgre_1_1GLES2Support.html#a31e3c69a77c8d6c4ca0de1de334d28fd">00134</a>             <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getDisplayMonitorCount()<span class="keyword"> const</span>
<a name="l00135"></a>00135 <span class="keyword">            </span>{
<a name="l00136"></a>00136                 <span class="keywordflow">return</span> 1;
<a name="l00137"></a>00137             }
<a name="l00138"></a>00138 
<a name="l00142"></a>00142             <span class="keyword">virtual</span> <span class="keywordtype">void</span> start() = 0;
<a name="l00146"></a>00146             <span class="keyword">virtual</span> <span class="keywordtype">void</span> stop() = 0;
<a name="l00147"></a>00147 
<a name="l00148"></a>00148         <span class="keyword">private</span>:
<a name="l00149"></a><a class="code" href="classOgre_1_1GLES2Support.html#ade51340a7dece4e1095af7692930104a">00149</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLES2Support.html#ade51340a7dece4e1095af7692930104a">mVersion</a>;
<a name="l00150"></a><a class="code" href="classOgre_1_1GLES2Support.html#a06d4c315dc53fb011c181ff7aef18868">00150</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLES2Support.html#a06d4c315dc53fb011c181ff7aef18868">mVendor</a>;
<a name="l00151"></a><a class="code" href="classOgre_1_1GLES2Support.html#aff09c95ac1d2adbfd7dd0aef153039c2">00151</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLES2Support.html#aff09c95ac1d2adbfd7dd0aef153039c2">mShaderCachePath</a>;
<a name="l00152"></a><a class="code" href="classOgre_1_1GLES2Support.html#ad9d04cb0c00f64d2ec18c53d9e2d8baf">00152</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLES2Support.html#ad9d04cb0c00f64d2ec18c53d9e2d8baf">mShaderLibraryPath</a>;
<a name="l00153"></a>00153 
<a name="l00154"></a>00154         <span class="keyword">protected</span>:
<a name="l00155"></a>00155             <span class="comment">// Stored options</span>
<a name="l00156"></a><a class="code" href="classOgre_1_1GLES2Support.html#a18ab92cb7fbc22d891eb9495575dc168">00156</a>             <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="code" href="classOgre_1_1GLES2Support.html#a18ab92cb7fbc22d891eb9495575dc168">mOptions</a>;
<a name="l00157"></a>00157 
<a name="l00158"></a>00158             <span class="comment">// This contains the complete list of supported extensions</span>
<a name="l00159"></a><a class="code" href="classOgre_1_1GLES2Support.html#a21558f79fc4b83c4a87c470ca652be4e">00159</a>             <a class="code" href="structOgre_1_1set.html">set&lt;String&gt;::type</a> <a class="code" href="classOgre_1_1GLES2Support.html#a21558f79fc4b83c4a87c470ca652be4e">extensionList</a>;
<a name="l00160"></a>00160     };
<a name="l00161"></a>00161 
<a name="l00162"></a>00162 }
<a name="l00163"></a>00163 
<a name="l00164"></a>00164 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
